Summary: cifsd kernel server userspace utilities
Name:    ksmbd-tools
Version: 3.4.2
Release: 1%{?dist}
License: GPLv2
URL:     https://github.com/cifsd-team/ksmbd-tools

BuildRequires: autoconf automake libtool glib2-devel libnl3-devel
ExclusiveArch: x86_64

# Sources.
Source0: https://github.com/cifsd-team/ksmbd-tools/releases/download/%{version}/%{name}-%{version}.tgz

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
Set of utilities for creating and managing SMB3 shares for the ksmbd kernel module.

%prep
%setup -q -n %{name}
./autogen.sh
./configure --prefix=/usr

%build
%{__make}

%install
%{__mkdir} -p $RPM_BUILD_ROOT%{_sbindir}
%{__install} -m 0755 addshare/ksmbd.addshare $RPM_BUILD_ROOT%{_sbindir}
%{__install} -m 0755 adduser/ksmbd.adduser $RPM_BUILD_ROOT%{_sbindir}
%{__install} -m 0755 control/ksmbd.control $RPM_BUILD_ROOT%{_sbindir}
%{__install} -m 0755 mountd/ksmbd.mountd $RPM_BUILD_ROOT%{_sbindir}
%{__mkdir} -p $RPM_BUILD_ROOT%{_sysconfdir}/ksmbd
%{__install} -m 0644 smb.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/ksmbd
%{__mkdir} -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -m 0644 AUTHORS $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -m 0644 COPYING $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -m 0644 Documentation/configuration.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -m 0644 PFIF.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -m 0644 README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-) 
%{_sbindir}/ksmbd.addshare
%{_sbindir}/ksmbd.adduser
%{_sbindir}/ksmbd.control
%{_sbindir}/ksmbd.mountd
%dir %{_sysconfdir}/ksmbd
%config %{_sysconfdir}/ksmbd/smb.conf.example
%doc %{_docdir}/%{name}-%{version}

%changelog
* Wed Dec 01 2021 Alan Bartlett <ajb@elrepo.org> - 3.4.2-1
- Initial build of the ksmbd-tools package for RHEL8.
